Skip to content

deleteCoupons.v1

POST
/shopgate.cart.deleteCoupons.v1

Deletes all given coupons from the cart. Depending on the shop and/or extension, which is handling this operation, some coupons could remain in the cart. Expecially if cart rules apply.

Note: Some shops don’t support more than one coupon, or none at all.

Media typeapplication/json

Code of the coupon.

Array<string>
Examplegenerated
[
"example"
]

Returns an empty object after the action was performed.

Media typeapplication/json
object
output
required
object
Example
{
"output": {}
}

The pipeline can’t be called in the given context.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: EUNKNOWN
message
string
Example
{
"error": {
"code": "EINVALIDCALL",
"message": "The pipeline can't be called in the given context."
}
}

This error is thrown when there is an issue with deleting one or multiple coupons from the cart.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: ECART
message
string
errors
Array<object>
object
entityId
required
string
code
required
string
Allowed values: ENOTFOUND EINSUFFICIENTSTOCK
message
required

The message specific to the product with the matching identifier. This is either a translation string or an already translated string. Translation strings are just key/object or key/value pairs defined in the ‘locales/.json’ files, that have a translation which could be applied. The value syntax assigned for each translation string key is described here: https://github.com/yahoo/intl-messageformat#message-syntax

string
messageParams

The message params for the translation string. Translation params are just key/value pairs defined in the translation string defined in the ‘locales/.json’ for the translation key in the message property. It defaults to an empty object if the property is missing or null. The translation string syntax is described here: https://github.com/yahoo/intl-messageformat#message-syntax

object
my-custom-key
string
my-custom-value
string
translated

Indicates if the ‘message’ property contains a translated string (true) or a translation string (false or undefined). Defaults to true if the property is missing or null.

boolean
Example
{
"error": {
"code": "ECART",
"message": "There was a problem while trying to delete one or multiple coupons.",
"errors": [
{
"entityId": "cart-item-coupon-1fbA1",
"code": "ENOTFOUND",
"message": "The coupon you tried to remove does not exist in the cart.",
"translated": true
}
]
}
}

An internal error occurred.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: EUNKNOWN
message
string
Example
{
"error": {
"code": "EUNKNOWN",
"message": "An internal error occurred."
}
}